unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Button1: TButton;
    Button2: TButton;
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    procedure CheckInput(Sender: TObject; var Key: Char);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure N3Click(Sender: TObject);
    procedure N4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var A,B,C:real;
    D:real;
    X1,X2:real;
begin
  //   
  try
  A:=StrToInt(Edit1.Text);
  B:=StrToInt(Edit2.Text);
  C:=StrToInt(Edit3.Text);
  except
  On EConvertError do
    begin
      if (Edit1.Text='')or(Edit2.Text='')or(Edit3.Text='')
        then
        MessageDlg('   ',mtInformation,[mbOK],0)
        else
        MessageDlg('  \  ',mtInformation,[mbOK],0);
      Exit;
    end;
  end;
  //  
  D:=B*B-4*A*C;
  if D<0 then
    //   ,   
    //  ,     
    begin
    Label5.Caption:='    ';
    end
    //      0, 
    //   
    else
      begin
      X1:=(-B-sqrt(D))/(2*A);
      X2:=(-B+sqrt(D))/(2*A);
      //    
      Label5.Caption:='X1 = '+FloatToStrF(X1,ffFixed,5,2)+Chr(13)+ 'X2 = '+FloatToStrF(X2,ffFixed,5,2);
      end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Close;
end;

procedure TForm1.CheckInput(Sender: TObject; var Key: Char);
begin
  if not (Key in [#8,'0'..'9']) then
    Abort;
end;

procedure TForm1.N2Click(Sender: TObject);
begin
messageDlg('        ax2+bx+c=0  ?0  '
,mtinformation,[mbOK],10) ;
end;

procedure TForm1.N3Click(Sender: TObject);
begin
messageDlg('     '+#13+
'                   D=b2-4ac.'+#13+
'  :  '+#13+
' 1.	 D <0,     '+#13+
' 2.	 D= 0,      x=(-b)/2a. '+#13+
' 3.	 D>0,      : '+#13+
'                   x1,2=(-bvD) /2a'+#13,mtinformation,[mbOK],10) ;
end;

procedure TForm1.N4Click(Sender: TObject);
begin
messageDlg('            '+#13+
'x^2-4x+3=0.         '+#13+
'a=1;b=-4;c=3.       '+#13+
'D=(-4)2-4*1*3=16-12=4     '+#13+
'x1=(-(-4)-v4)/2*1=1	x2=(-(-4)+v4)/2*1=3 '+#13,mtinformation,[mbOK],10) ;
end;

end.
